import { axios } from '@/utils/request'
//  采购退货申请单列表  分页
export const purchaseReturnList = (params) => {
  const url = `/purchaseReturnApply/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 申请单新增
export const purchaseReturnSave = (params) => {
  return axios({
    url: '/purchaseReturnApply/create',
    data: params,
    method: 'post'
  })
}
//  采购退货申请单 删除
export const purchaseReturnDel = (params) => {
  return axios({
    url: `/purchaseReturnApply/delete`,
    data: params,
    method: 'post'
  })
}
// 生成采购退货单
export const createPurchaseReturnBill = (params) => {
  return axios({
    url: `/purchaseReturnApply/createPurchaseReturnBill`,
    data: params,
    method: 'post'
  })
}
//  采购退货 详情 添加产品
export const purchaseReturnDetailSave = (params) => {
  return axios({
    url: '/purchaseReturnApply/detail/create',
    data: params,
    method: 'post'
  })
}
//  采购退货申请单 详情 删除
export const purchaseReturnDetailDel = (params) => {
  return axios({
    url: `/purchaseReturnApply/detail/delete`,
    data: params,
    method: 'post'
  })
}
//  采购退货 详情 全部删除
export const purchaseReturnDetailDelAll = (params) => {
  return axios({
    url: `/purchaseReturn/detail/deleteAll`,
    data: params,
    method: 'post'
  })
}
// 申请单详情修改数量
export const purchaseReturnModifyQty = (params) => {
  return axios({
    url: `/purchaseReturnApply/detail/modifyQty`,
    data: params,
    method: 'post'
  })
}
// 申请单详情修改退货原因
export const modifyReturnReason = (params) => {
  return axios({
    url: `/purchaseReturnApply/detail/modifyReturnReason`,
    data: params,
    method: 'post'
  })
}
//  申请单详情列表  分页
export const purchaseReturnDetailList = (params) => {
  const url = `/purchaseReturnApply/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  获取采购退货申请单 详情
export const purchaseReturnDetail = (params) => {
  return axios({
    url: `/purchaseReturnApply/findBySn/${params.sn}`,
    method: 'get'
  })
}
// 采购退货申请单提交
export const purchaseReturnSubmit = (params) => {
  return axios({
    url: `/purchaseReturnApply/submit/${params.sn}`,
    method: 'get'
  })
}
// 采购退货申请单再次编辑
export const purchaseReturnAgainCreate = (params) => {
 return axios({
   url: `/purchaseReturnApply/againCreate/${params.sn}`,
   method: 'get'
 })
}